{% extends 'base.html' %}
{% load static %}
{% block meta %}
{% endblock meta %}

{% block content %}



<h1 style="text-align: center;">FORM BUAT RESERVASI RUMAH SAKIT</h1>
<div style="height: 20px;"></div>
<form id="formCreate" action="" method="POST">
    {% csrf_token %}
    {{form.as_p}}
    <label for="ruanganRS">Kode Ruangan:</label>
    <select name="ruanganRS" id="ruanganRS">

    </select>
    <br>
    <label for="bed">Kode Bed: </label>
    <select name="bed" id="bed">

    </select>
    <br>

    <input type="submit" value="Submit">
</form>
{% endblock content %}
{% block addScript %}
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>
    $(document).ready(function () {
        $('#formCreate').on('submit', function (e) {
            const tgl_masuk = $('#tanggal_masuk').val();
            const tgl_keluar = $('#tanggal_keluar').val();
            console.log(tgl_masuk)
            console.log(tgl_keluar)
            if (tgl_masuk > tgl_keluar) {
                alert('Tanggal masuk tidak boleh lebih dari tanggal keluar!')
                e.preventDefault();
            }
        })

        $.ajax({
            type: 'GET',
            url: "{% url 'reservasiRS:ajaxRuanganRS' %}",
            data: {
                kode_faskes: $('#kode_rs').val()
            },
            async: false,
            success: function (response) {
                response.id.map((e) => {
                    $('#ruanganRS').append(new Option(e, e))
                })
            }
        });

        $.ajax({
            type: 'GET',
            url: "{% url 'reservasiRS:ajaxBedRS' %}",
            data: {
                kode_faskes: $('#kode_rs').val(),
                kode_ruangan: $('#ruanganRS').val(),
            },
            async: false,
            success: function (response) {
                response.id.map((e) => {
                    $('#bed').append(new Option(e, e))
                })
            }
        });

        $('#kode_rs').on('change', function () {
            $('#ruanganRS').find('option').remove()
            $.ajax({
                type: 'GET',
                url: "{% url 'reservasiRS:ajaxRuanganRS' %}",
                data: {
                    kode_faskes: $('#kode_rs').val()
                },
                async: false,
                success: function (response) {
                    response.id.map((e) => {
                        $('#ruanganRS').append(new Option(e, e))
                    })
                }
            });
            $('#bed').find('option').remove()
            $.ajax({
                type: 'GET',
                url: "{% url 'reservasiRS:ajaxBedRS' %}",
                data: {
                    kode_faskes: $('#kode_rs').val(),
                    kode_ruangan: $('#ruanganRS').val(),
                },
                async: false,
                success: function (response) {
                    response.id.map((e) => {
                        $('#bed').append(new Option(e, e))
                    })
                }
            });

        });

        $('#ruanganRS').on('change', function () {
            $('#bed').find('option').remove()
            $.ajax({
                type: 'GET',
                url: "{% url 'reservasiRS:ajaxBedRS' %}",
                data: {
                    kode_faskes: $('#kode_rs').val(),
                    kode_ruangan: $('#ruanganRS').val(),
                },
                async: false,
                success: function (response) {
                    response.id.map((e) => {
                        $('#bed').append(new Option(e, e))
                    })
                }
            });
        });

    })
</script>
{% endblock addScript %}
